<?php
/**
 * The template to display blog archive
 *
 * @package WordPress
 * @subpackage BASIL
 * @since BASIL 1.0
 */

/*
Template Name: Blog archive
*/

/**
 * Make page with this template and put it into menu
 * to display posts as blog archive
 * You can setup output parameters (blog style, posts per page, parent category, etc.)
 * in the Theme Options section (under the page content)
 * You can build this page in the WPBakery PageBuilder to make custom page layout:
 * just insert %%CONTENT%% in the desired place of content
 */

// Get template page's content
$basil_content = '';
$basil_blog_archive_mask = '%%CONTENT%%';
$basil_blog_archive_subst = sprintf('<div class="blog_archive">%s</div>', $basil_blog_archive_mask);
if ( have_posts() ) {
	the_post(); 
	if (get_the_content() != '' && ($basil_content = apply_filters('the_content', get_the_content())) != '') {
		if (($basil_pos = strpos($basil_content, $basil_blog_archive_mask)) !== false) {
			$basil_content = preg_replace('/(\<p\>\s*)?'.$basil_blog_archive_mask.'(\s*\<\/p\>)/i', $basil_blog_archive_subst, $basil_content);
		} else
			$basil_content .= $basil_blog_archive_subst;
		$basil_content = explode($basil_blog_archive_mask, $basil_content);
	}
}

// Prepare args for a new query
$basil_args = array(
	'post_status' => current_user_can('read_private_pages') && current_user_can('read_private_posts') ? array('publish', 'private') : 'publish'
);
$basil_args = basil_query_add_posts_and_cats($basil_args, '', basil_get_theme_option('post_type'), basil_get_theme_option('parent_cat'));
$basil_page_number = get_query_var('paged') ? get_query_var('paged') : (get_query_var('page') ? get_query_var('page') : 1);
if ($basil_page_number > 1) {
	$basil_args['paged'] = $basil_page_number;
	$basil_args['ignore_sticky_posts'] = true;
}
$basil_ppp = basil_get_theme_option('posts_per_page');
if ((int) $basil_ppp != 0)
	$basil_args['posts_per_page'] = (int) $basil_ppp;
// Make a new query
query_posts( $basil_args );
// Set a new query as main WP Query
$GLOBALS['wp_the_query'] = $GLOBALS['wp_query'];

// Set query vars in the new query!
if (is_array($basil_content) && count($basil_content) == 2) {
	set_query_var('blog_archive_start', $basil_content[0]);
	set_query_var('blog_archive_end', $basil_content[1]);
}

get_template_part('index');
?>