<?php
/**
 * The Classic template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage BASIL
 * @since BASIL 1.0
 */

$basil_blog_style = explode('_', basil_get_theme_option('blog_style'));
$basil_columns = empty($basil_blog_style[1]) ? 2 : max(2, $basil_blog_style[1]);
$basil_expanded = !basil_sidebar_present() && basil_is_on(basil_get_theme_option('expand_content'));
$basil_post_format = get_post_format();
$basil_post_format = empty($basil_post_format) ? 'standard' : str_replace('post-format-', '', $basil_post_format);
$basil_animation = basil_get_theme_option('blog_animation');

?><div class="column-1_<?php echo esc_attr($basil_columns); ?>"><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_classic post_layout_classic_'.esc_attr($basil_columns).' post_format_'.esc_attr($basil_post_format) ); ?>
	<?php echo (!basil_is_off($basil_animation) ? ' data-animation="'.esc_attr(basil_get_animation_classes($basil_animation)).'"' : ''); ?>
	>

	<?php

	// Featured image
	basil_show_post_featured( array( 'thumb_size' => basil_get_thumb_size(
													strpos(basil_get_theme_option('body_style'), 'full')!==false 
														? ( $basil_columns > 2 ? 'big' : 'huge' )
														: (	$basil_columns > 2
															? ($basil_expanded ? 'med' : 'small')
															: ($basil_expanded ? 'big' : 'med')
															)
														)
										) );

	if ( !in_array($basil_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php 
			do_action('basil_action_before_post_title'); 

			// Post title
			the_title( sprintf( '<h4 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h4>' );

			do_action('basil_action_before_post_meta'); 

			// Post meta
			basil_show_post_meta(array(
				'categories' => false,
				'date' => true,
				'edit' => false,
				'seo' => false,
				'share' => false,
				'counters' => 'comments',
				)
			);
			?>
		</div><!-- .entry-header -->
		<?php
	}		
	?>

	<div class="post_content entry-content">
		<div class="post_content_inner">
			<?php
			$basil_show_learn_more = false;
			if (has_excerpt()) {
				the_excerpt();
			} else if (strpos(get_the_content('!--more'), '!--more')!==false) {
				the_content( '' );
			} else if (in_array($basil_post_format, array('link', 'aside', 'status', 'quote'))) {
				the_content();
			} else if (substr(get_the_content(), 0, 1)!='[') {
				the_excerpt();
			}
			?>
		</div>
		<?php
		// Post meta
		if (in_array($basil_post_format, array('link', 'aside', 'status', 'quote'))) {
			basil_show_post_meta(array(
				'share' => false,
				'counters' => 'comments'
				)
			);
		}
		// More button
		if ( $basil_show_learn_more ) {
			?><p><a class="more-link" href="<?php the_permalink(); ?>"><?php esc_html_e('Read more', 'basil'); ?></a></p><?php
		}
		?>
	</div><!-- .entry-content -->

</article></div>