<?php
/**
 * The Gallery template to display posts
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage BASIL
 * @since BASIL 1.0
 */

$basil_blog_style = explode('_', basil_get_theme_option('blog_style'));
$basil_columns = empty($basil_blog_style[1]) ? 2 : max(2, $basil_blog_style[1]);
$basil_post_format = get_post_format();
$basil_post_format = empty($basil_post_format) ? 'standard' : str_replace('post-format-', '', $basil_post_format);
$basil_animation = basil_get_theme_option('blog_animation');
$basil_image = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'full' );

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_gallery post_layout_gallery_'.esc_attr($basil_columns).' post_format_'.esc_attr($basil_post_format) ); ?>
	<?php echo (!basil_is_off($basil_animation) ? ' data-animation="'.esc_attr(basil_get_animation_classes($basil_animation)).'"' : ''); ?>
	data-size="<?php if (!empty($basil_image[1]) && !empty($basil_image[2])) echo intval($basil_image[1]) .'x' . intval($basil_image[2]); ?>"
	data-src="<?php if (!empty($basil_image[0])) echo esc_url($basil_image[0]); ?>"
	>

	<?php
	$basil_image_hover = 'icon';
	if (in_array($basil_image_hover, array('icons', 'zoom'))) $basil_image_hover = 'dots';
	// Featured image
	basil_show_post_featured(array(
		'hover' => $basil_image_hover,
		'thumb_size' => basil_get_thumb_size( strpos(basil_get_theme_option('body_style'), 'full')!==false || $basil_columns < 3 ? 'masonry-big' : 'masonry' ),
		'thumb_only' => true,
		'show_no_image' => true,
		'post_info' => '<div class="post_details">'
							. '<h2 class="post_title"><a href="'.esc_url(get_permalink()).'">'. esc_html(get_the_title()) . '</a></h2>'
							. '<div class="post_description">'
								. basil_show_post_meta(array(
									'categories' => true,
									'date' => true,
									'edit' => false,
									'seo' => false,
									'share' => true,
									'counters' => 'comments',
									'echo' => false
									))
								. '<div class="post_description_content">'
									. apply_filters('the_excerpt', get_the_excerpt())
								. '</div>'
								. '<a href="'.esc_url(get_permalink()).'" class="theme_button post_readmore"><span class="post_readmore_label">' . esc_html__('Learn more', 'basil') . '</span></a>'
							. '</div>'
						. '</div>'
	));
	?>
</article>