<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage BASIL
 * @since BASIL 1.0
 */

$basil_blog_style = explode('_', basil_get_theme_option('blog_style'));
$basil_columns = empty($basil_blog_style[1]) ? 2 : max(2, $basil_blog_style[1]);
$basil_post_format = get_post_format();
$basil_post_format = empty($basil_post_format) ? 'standard' : str_replace('post-format-', '', $basil_post_format);
$basil_animation = basil_get_theme_option('blog_animation');

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_portfolio_'.esc_attr($basil_columns).' post_format_'.esc_attr($basil_post_format) ); ?>
	<?php echo (!basil_is_off($basil_animation) ? ' data-animation="'.esc_attr(basil_get_animation_classes($basil_animation)).'"' : ''); ?>
	>

	<?php
	$basil_image_hover = basil_get_theme_option('image_hover');
	// Featured image
	basil_show_post_featured(array(
		'thumb_size' => basil_get_thumb_size(strpos(basil_get_theme_option('body_style'), 'full')!==false || $basil_columns < 3 ? 'masonry-big' : 'masonry'),
		'show_no_image' => true,
		'class' => $basil_image_hover == 'dots' ? 'hover_with_info' : '',
		'post_info' => $basil_image_hover == 'dots' ? '<div class="post_info">'.esc_html(get_the_title()).'</div>' : ''
	));
	?>
</article>