<?php
/**
 * The Sticky template to display the sticky posts
 *
 * Used for index/archive
 *
 * @package WordPress
 * @subpackage BASIL
 * @since BASIL 1.0
 */

$basil_columns = max(1, min(3, count(get_option( 'sticky_posts' ))));
$basil_post_format = get_post_format();
$basil_post_format = empty($basil_post_format) ? 'standard' : str_replace('post-format-', '', $basil_post_format);
$basil_animation = basil_get_theme_option('blog_animation');

?><div class="column-1_<?php echo esc_attr($basil_columns); ?>"><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_sticky post_format_'.esc_attr($basil_post_format) ); ?>
	<?php echo (!basil_is_off($basil_animation) ? ' data-animation="'.esc_attr(basil_get_animation_classes($basil_animation)).'"' : ''); ?>
	>

	<?php
	if ( is_sticky() && is_home() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	basil_show_post_featured(array(
		'thumb_size' => basil_get_thumb_size($basil_columns==1 ? 'big' : ($basil_columns==2 ? 'med' : 'avatar'))
	));

	if ( !in_array($basil_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php
			// Post title
			the_title( sprintf( '<h6 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h6>' );
			// Post meta
			basil_show_post_meta();
			?>
		</div><!-- .entry-header -->
		<?php
	}
	?>
</article></div>