<?php
/* Contact Form 7 support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('basil_cf7_theme_setup9')) {
	add_action( 'after_setup_theme', 'basil_cf7_theme_setup9', 9 );
	function basil_cf7_theme_setup9() {
		
		if (basil_exists_cf7()) {
			add_action( 'wp_enqueue_scripts', 								'basil_cf7_frontend_scripts', 1100 );
			add_filter( 'basil_filter_merge_styles',						'basil_cf7_merge_styles' );
		}
		if (is_admin()) {
			add_filter( 'basil_filter_tgmpa_required_plugins',			'basil_cf7_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'basil_cf7_tgmpa_required_plugins' ) ) {
	function basil_cf7_tgmpa_required_plugins($list=array()) {
		if (in_array('contact-form-7', basil_storage_get('required_plugins'))) {
			$list[] = array(
					'name' 		=> esc_html__('Contact Form 7', 'basil'),
					'slug' 		=> 'contact-form-7',
					'required' 	=> false
			);
		}
		return $list;
	}
}



// Check if cf7 installed and activated
if ( !function_exists( 'basil_exists_cf7' ) ) {
	function basil_exists_cf7() {
		return class_exists('WPCF7');
	}
}
	
// Enqueue custom styles
if ( !function_exists( 'basil_cf7_frontend_scripts' ) ) {
	function basil_cf7_frontend_scripts() {
		if (basil_is_on(basil_get_theme_option('debug_mode')) && file_exists(basil_get_file_dir('plugins/contact-form-7/contact-form-7.css')))
			wp_enqueue_style( 'basil-contact-form-7',  basil_get_file_url('plugins/contact-form-7/contact-form-7.css'), array(), null );
	}
}
	
// Merge custom styles
if ( !function_exists( 'basil_cf7_merge_styles' ) ) {
	function basil_cf7_merge_styles($list) {
		$list[] = 'plugins/contact-form-7/contact-form-7.css';
		return $list;
	}
}
?>