<?php
/* WPBakery PageBuilder Extensions Bundle support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('basil_vc_extensions_theme_setup9')) {
	add_action( 'after_setup_theme', 'basil_vc_extensions_theme_setup9', 9 );
	function basil_vc_extensions_theme_setup9() {
		if (basil_exists_visual_composer()) {
			add_action( 'wp_enqueue_scripts', 								'basil_vc_extensions_frontend_scripts', 1100 );
			add_filter( 'basil_filter_merge_styles',						'basil_vc_extensions_merge_styles' );
		}
	
		if (is_admin()) {
			add_filter( 'basil_filter_tgmpa_required_plugins',		'basil_vc_extensions_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'basil_vc_extensions_tgmpa_required_plugins' ) ) {
	function basil_vc_extensions_tgmpa_required_plugins($list=array()) {
		if (in_array('vc-extensions-bundle', basil_storage_get('required_plugins'))) {
			$path = basil_get_file_dir('plugins/vc-extensions-bundle/vc-extensions-bundle.zip');
			$list[] = array(
					'name' 		=> esc_html__('WPBakery PageBuilder Extensions Bundle', 'basil'),
					'slug' 		=> 'vc-extensions-bundle',
					'version'  => '3.6.5',
					'source'	=> !empty($path) ? $path : 'upload://vc-extensions-bundle.zip',
					'required' 	=> false
			);
		}
		return $list;
	}
}

// Check if VC Extensions installed and activated
if ( !function_exists( 'basil_exists_vc_extensions' ) ) {
	function basil_exists_vc_extensions() {
		return class_exists('Vc_Manager') && class_exists('VC_Extensions_CQBundle');
	}
}
	
// Enqueue VC custom styles
if ( !function_exists( 'basil_vc_extensions_frontend_scripts' ) ) {
	function basil_vc_extensions_frontend_scripts() {
		if (basil_is_on(basil_get_theme_option('debug_mode')) && file_exists(basil_get_file_dir('plugins/vc-extensions-bundle/vc-extensions-bundle.css')))
			wp_enqueue_style( 'basil-vc-extensions-bundle',  basil_get_file_url('plugins/vc-extensions-bundle/vc-extensions-bundle.css'), array(), null );
	}
}
	
// Merge custom styles
if ( !function_exists( 'basil_vc_extensions_merge_styles' ) ) {
	function basil_vc_extensions_merge_styles($list) {
		$list[] = 'plugins/vc-extensions-bundle/vc-extensions-bundle.css';
		return $list;
	}
}
?>