<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage BASIL
 * @since BASIL 1.0
 */

$basil_sidebar_position = basil_get_theme_option('sidebar_position');
if (basil_sidebar_present()) {
	ob_start();
	$basil_sidebar_name = basil_get_theme_option('sidebar_widgets');
	basil_storage_set('current_sidebar', 'sidebar');
	if ( is_active_sidebar( $basil_sidebar_name ) ) {
		dynamic_sidebar( $basil_sidebar_name );
	}
	$basil_out = trim(ob_get_contents());
	ob_end_clean();
	if (trim(strip_tags($basil_out)) != '') {
		?>
		<div class="sidebar <?php echo esc_attr($basil_sidebar_position); ?> widget_area<?php if (!basil_is_inherit(basil_get_theme_option('sidebar_scheme'))) echo ' scheme_'.esc_attr(basil_get_theme_option('sidebar_scheme')); ?>" role="complementary">
			<div class="sidebar_inner">
				<?php
				do_action( 'basil_action_before_sidebar' );
				basil_show_layout(preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $basil_out));
				do_action( 'basil_action_after_sidebar' );
				?>
			</div><!-- /.sidebar_inner -->
		</div><!-- /.sidebar -->
		<?php
	}
}
?>