<?php
/**
 * The template to display the site logo in the footer
 *
 * @package WordPress
 * @subpackage BASIL
 * @since BASIL 1.0.10
 */

// Logo
if (basil_is_on(basil_get_theme_option('logo_in_footer'))) {
	$basil_logo_image = '';
	if (basil_get_retina_multiplier(2) > 1)
		$basil_logo_image = basil_get_theme_option( 'logo_footer_retina' );
	if (empty($basil_logo_image)) 
		$basil_logo_image = basil_get_theme_option( 'logo_footer' );
	$basil_logo_text   = get_bloginfo( 'name' );
	if (!empty($basil_logo_image) || !empty($basil_logo_text)) {
		?>
		<div class="footer_logo_wrap">
			<div class="footer_logo_inner">
				<?php
				if (!empty($basil_logo_image)) {
					$basil_attr = basil_getimagesize($basil_logo_image);
					echo '<a href="'.esc_url(home_url('/')).'"><img src="'.esc_url($basil_logo_image).'" class="logo_footer_image" alt="'. esc_attr(basename($basil_logo_image)).'"'.(!empty($basil_attr[3]) ? sprintf(' %s', $basil_attr[3]) : '').'></a>' ;
				} else if (!empty($basil_logo_text)) {
					echo '<h1 class="logo_footer_text"><a href="'.esc_url(home_url('/')).'">' . esc_html($basil_logo_text) . '</a></h1>';
				}
				?>
			</div>
		</div>
		<?php
	}
}
?>