<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage BASIL
 * @since BASIL 1.0.10
 */

// Footer sidebar
$basil_footer_name = basil_get_theme_option('footer_widgets');
$basil_footer_present = !basil_is_off($basil_footer_name) && is_active_sidebar($basil_footer_name);
if ($basil_footer_present) { 
	basil_storage_set('current_sidebar', 'footer');
	$basil_footer_wide = basil_get_theme_option('footer_wide');
	ob_start();
	if ( is_active_sidebar( $basil_footer_name ) ) {
		dynamic_sidebar( $basil_footer_name );
	}
	$basil_out = trim(ob_get_contents());
	ob_end_clean();
	if (trim(strip_tags($basil_out)) != '') {
		$basil_out = preg_replace("/<\\/aside>[\r\n\s]*<aside/", "</aside><aside", $basil_out);
		$basil_need_columns = true;
		if ($basil_need_columns) {
			$basil_columns = max(0, (int) basil_get_theme_option('footer_columns'));
			if ($basil_columns == 0) $basil_columns = min(6, max(1, substr_count($basil_out, '<aside ')));
			if ($basil_columns > 1)
				$basil_out = preg_replace("/class=\"widget /", "class=\"column-1_".esc_attr($basil_columns).' widget ', $basil_out);
			else
				$basil_need_columns = false;
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo !empty($basil_footer_wide) ? ' footer_fullwidth' : ''; ?>">
			<div class="footer_widgets_inner widget_area_inner">
				<?php 
				if (!$basil_footer_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($basil_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'basil_action_before_sidebar' );
				basil_show_layout($basil_out);
				do_action( 'basil_action_after_sidebar' );
				if ($basil_need_columns) {
					?></div><!-- /.columns_wrap --><?php
				}
				if (!$basil_footer_wide) {
					?></div><!-- /.content_wrap --><?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
?>