<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WordPress
 * @subpackage BASIL
 * @since BASIL 1.0.06
 */

$basil_header_css = $basil_header_image = '';
$basil_header_video = wp_is_mobile() ? '' : basil_get_theme_option('header_video');
if (true || empty($basil_header_video)) {
	$basil_header_image = get_header_image();
	if (basil_is_on(basil_get_theme_option('header_image_override')) && apply_filters('basil_filter_allow_override_header_image', true)) {
		if (is_category()) {
			if (($basil_cat_img = basil_get_category_image()) != '')
				$basil_header_image = $basil_cat_img;
		} else if (is_singular() || basil_storage_isset('blog_archive')) {
			if (has_post_thumbnail()) {
				$basil_header_image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full' );
				if (is_array($basil_header_image)) $basil_header_image = $basil_header_image[0];
			} else
				$basil_header_image = '';
		}
	}
}

$basil_header_id = str_replace('header-custom-', '', basil_get_theme_option("header_style"));

// Store header image for navi
set_query_var('basil_header_image', $basil_header_image);

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr($basil_header_id);
						echo !empty($basil_header_image) || !empty($basil_header_video) ? ' with_bg_image' : ' without_bg_image';
						if ($basil_header_video!='') echo ' with_bg_video';
						if (is_single() && has_post_thumbnail()) echo ' with_featured_image';
						if (basil_is_on(basil_get_theme_option('header_fullheight'))) echo ' header_fullheight trx-stretch-height';
						?> scheme_<?php echo esc_attr(basil_is_inherit(basil_get_theme_option('header_scheme')) 
														? basil_get_theme_option('color_scheme') 
														: basil_get_theme_option('header_scheme'));
						?>"><?php
		
	// Custom header's layout
	do_action('basil_action_show_layout', $basil_header_id);

		// Page title and breadcrumbs area
	if(basil_get_theme_option('show_title_box') == true){
		get_template_part( 'templates/header-title');
	}

	// Header widgets area
	get_template_part( 'templates/header-widgets' );

		
?></header>