<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage BASIL
 * @since BASIL 1.0
 */

$basil_args = get_query_var('basil_logo_args');
$basil_inverse = isset($basil_args['inverse']) ? $basil_args['inverse'] : false;

// Site logo
$basil_logo_image  = basil_get_logo_image($basil_inverse);
$basil_logo_text   = basil_is_on(basil_get_theme_option('logo_text')) ? get_bloginfo( 'name' ) : '';
if(empty($basil_logo_text)) $basil_logo_text = get_bloginfo( 'name' );
$basil_logo_slogan = get_bloginfo( 'description', 'display' );
if (!empty($basil_logo_image) || !empty($basil_logo_text)) {
	?><a class="sc_layouts_logo" href="<?php if (is_front_page()) { echo '#'; } else { echo esc_url(home_url('/')); }  ?>"><?php
		if (!empty($basil_logo_image)) {
			$basil_attr = basil_getimagesize($basil_logo_image);
			echo '<img src="'.esc_url($basil_logo_image).'" alt="'. esc_attr(basename($basil_logo_image)).'"'.(!empty($basil_attr[3]) ? sprintf(' %s', $basil_attr[3]) : '').'>' ;
		} else {
			basil_show_layout(basil_prepare_macros($basil_logo_text), '<span class="logo_text">', '</span>');
			basil_show_layout(basil_prepare_macros($basil_logo_slogan), '<span class="logo_slogan">', '</span>');
		}
	?></a><?php
}
?>