<?php
/**
 * The template to show mobile menu
 *
 * @package WordPress
 * @subpackage BASIL
 * @since BASIL 1.0
 */
?>
<div class="menu_mobile_overlay"></div>
<div class="menu_mobile">
	<div class="menu_mobile_inner">
		<a class="menu_mobile_close icon-cancel"></a><?php

		// Logo
		set_query_var('basil_logo_args', array('inverse' => true));
		get_template_part( 'templates/header-logo' );
		set_query_var('basil_logo_args', array());

		// Mobile menu
		$basil_menu_mobile = basil_get_nav_menu('menu_mobile');
		if (empty($basil_menu_mobile)) {
			$basil_menu_mobile = apply_filters('basil_filter_get_mobile_menu', '');
			if (empty($basil_menu_mobile)) $basil_menu_mobile = basil_get_nav_menu('menu_main');
			if (empty($basil_menu_mobile)) $basil_menu_mobile = basil_get_nav_menu();
		}
		if (!empty($basil_menu_mobile)) {
			if (!empty($basil_menu_mobile))
				$basil_menu_mobile = str_replace(
					array('menu_main', 'id="menu-', 'sc_layouts_menu_nav', 'sc_layouts_hide_on_mobile', 'hide_on_mobile'),
					array('menu_mobile', 'id="menu_mobile-', '', '', ''),
					$basil_menu_mobile
					);
			if (strpos($basil_menu_mobile, '<nav ')===false)
				$basil_menu_mobile = sprintf('<nav class="menu_mobile_nav_area">%s</nav>', $basil_menu_mobile);
			basil_show_layout(apply_filters('basil_filter_menu_mobile_layout', $basil_menu_mobile));
		}

		// Search field
		do_action('basil_action_search', 'normal', 'search_mobile', false);
		
		// Social icons
		basil_show_layout(basil_get_socials_links(), '<div class="socials_mobile">', '</div>');
		?>
	</div>
</div>
