<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage BASIL
 * @since BASIL 1.0
 */

// Page (category, tag, archive, author) title

$basil_header_image = get_header_image();
$basil_header_image = get_query_var('basil_header_image');


if ( basil_need_page_title() ) {
	set_query_var('basil_title_showed', true);
	?>
	<div class="top_panel_title sc_layouts_row <?php echo !empty($basil_header_image) || !empty($basil_header_video) ? ' with_bg_image' : ' without_bg_image';if ($basil_header_image!='') echo ' '.esc_attr(basil_add_inline_style('background-image: url('.esc_url($basil_header_image).');'));?>">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_center">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title">
						<div class="sc_layouts_title_breadcrumbs"><?php
							do_action( 'basil_action_breadcrumbs');
						?></div>
						<div class="sc_layouts_title_title"><?php
							$basil_blog_title = basil_get_blog_title();
							$basil_blog_title_text = $basil_blog_title_class = $basil_blog_title_link = $basil_blog_title_link_text = '';
							if (is_array($basil_blog_title)) {
								$basil_blog_title_text = $basil_blog_title['text'];
								$basil_blog_title_class = !empty($basil_blog_title['class']) ? ' '.$basil_blog_title['class'] : '';
								$basil_blog_title_link = !empty($basil_blog_title['link']) ? $basil_blog_title['link'] : '';
								$basil_blog_title_link_text = !empty($basil_blog_title['link_text']) ? $basil_blog_title['link_text'] : '';
							} else
								$basil_blog_title_text = $basil_blog_title;
							?>
							<h1 class="sc_layouts_title_caption<?php echo esc_attr($basil_blog_title_class); ?>"><?php
								$basil_top_icon = basil_get_category_icon();
								if (!empty($basil_top_icon)) {
									$basil_attr = basil_getimagesize($basil_top_icon);
									?><img src="<?php echo esc_url($basil_top_icon); ?>" alt="<?php echo esc_attr(basename($basil_top_icon)); ?>" <?php if (!empty($basil_attr[3])) basil_show_layout($basil_attr[3]);?>><?php
								}
								echo wp_kses_data($basil_blog_title_text);
							?></h1>
							<?php
							if (!empty($basil_blog_title_link) && !empty($basil_blog_title_link_text)) {
								?><a href="<?php echo esc_url($basil_blog_title_link); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html($basil_blog_title_link_text); ?></a><?php
							}
							
							// Category/Tag description
							if ( is_category() || is_tag() || is_tax() ) 
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
		
						?></div><?php
	
						// Breadcrumbs
						?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
?>