<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WordPress
 * @subpackage BASIL
 * @since BASIL 1.0
 */

// Header sidebar
$basil_header_name = basil_get_theme_option('header_widgets');
$basil_header_present = !basil_is_off($basil_header_name) && is_active_sidebar($basil_header_name);
if ($basil_header_present) { 
	basil_storage_set('current_sidebar', 'header');
	$basil_header_wide = basil_get_theme_option('header_wide');
	ob_start();
	if ( is_active_sidebar( $basil_header_name ) ) {
		dynamic_sidebar( $basil_header_name );
	}
	$basil_widgets_output = ob_get_contents();
	ob_end_clean();
	if (trim(strip_tags($basil_widgets_output)) != '') {
		$basil_widgets_output = preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $basil_widgets_output);
		$basil_need_columns = strpos($basil_widgets_output, 'columns_wrap')===false;
		if ($basil_need_columns) {
			$basil_columns = max(0, (int) basil_get_theme_option('header_columns'));
			if ($basil_columns == 0) $basil_columns = min(6, max(1, substr_count($basil_widgets_output, '<aside ')));
			if ($basil_columns > 1)
				$basil_widgets_output = preg_replace("/class=\"widget /", "class=\"column-1_".esc_attr($basil_columns).' widget ', $basil_widgets_output);
			else
				$basil_need_columns = false;
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo !empty($basil_header_wide) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<div class="header_widgets_inner widget_area_inner">
				<?php 
				if (!$basil_header_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($basil_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'basil_action_before_sidebar' );
				basil_show_layout($basil_widgets_output);
				do_action( 'basil_action_after_sidebar' );
				if ($basil_need_columns) {
					?></div>	<!-- /.columns_wrap --><?php
				}
				if (!$basil_header_wide) {
					?></div>	<!-- /.content_wrap --><?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
?>