<?php
/**
 * The template to display posts in widgets and/or in the search results
 *
 * @package WordPress
 * @subpackage BASIL
 * @since BASIL 1.0
 */

$basil_post_id    = get_the_ID();
$basil_post_date  = basil_get_date();
$basil_post_title = get_the_title();
$basil_post_link  = get_permalink();
$basil_post_author_id   = get_the_author_meta('ID');
$basil_post_author_name = get_the_author_meta('display_name');
$basil_post_author_url  = get_author_posts_url($basil_post_author_id, '');

$basil_args = get_query_var('basil_args_widgets_posts');
$basil_show_date = isset($basil_args['show_date']) ? (int) $basil_args['show_date'] : 1;
$basil_show_image = isset($basil_args['show_image']) ? (int) $basil_args['show_image'] : 1;
$basil_show_author = isset($basil_args['show_author']) ? (int) $basil_args['show_author'] : 1;
$basil_show_counters = isset($basil_args['show_counters']) ? (int) $basil_args['show_counters'] : 1;
$basil_show_categories = isset($basil_args['show_categories']) ? (int) $basil_args['show_categories'] : 1;

$basil_output = basil_storage_get('basil_output_widgets_posts');

$basil_post_counters_output = '';
if ( $basil_show_counters ) {
	$basil_post_counters_output = '<span class="post_info_item post_info_counters">'
								. basil_get_post_counters('comments')
							. '</span>';
}


$basil_output .= '<article class="post_item with_thumb">';

if ($basil_show_image) {
	$basil_post_thumb = get_the_post_thumbnail($basil_post_id, basil_get_thumb_size('tiny'), array(
		'alt' => the_title_attribute( array( 'echo' => false ) )
	));
	if ($basil_post_thumb) $basil_output .= '<div class="post_thumb">' . ($basil_post_link ? '<a href="' . esc_url($basil_post_link) . '">' : '') . ($basil_post_thumb) . ($basil_post_link ? '</a>' : '') . '</div>';
}

$basil_output .= '<div class="post_content">'
			. ($basil_show_categories 
					? '<div class="post_categories">'
						. basil_get_post_categories()
						. $basil_post_counters_output
						. '</div>' 
					: '')
			. '<h6 class="post_title">' . ($basil_post_link ? '<a href="' . esc_url($basil_post_link) . '">' : '') . ($basil_post_title) . ($basil_post_link ? '</a>' : '') . '</h6>'
			. apply_filters('basil_filter_get_post_info', 
								'<div class="post_info">'
									. ($basil_show_date 
										? '<span class="post_info_item post_info_posted">'
											. ($basil_post_link ? '<a href="' . esc_url($basil_post_link) . '" class="post_info_date">' : '') 
											. esc_html($basil_post_date) 
											. ($basil_post_link ? '</a>' : '')
											. '</span>'
										: '')
									. ($basil_show_author 
										? '<span class="post_info_item post_info_posted_by">' 
											. esc_html__('by', 'basil') . ' ' 
											. ($basil_post_link ? '<a href="' . esc_url($basil_post_author_url) . '" class="post_info_author">' : '') 
											. esc_html($basil_post_author_name) 
											. ($basil_post_link ? '</a>' : '') 
											. '</span>'
										: '')
									. (!$basil_show_categories && $basil_post_counters_output
										? $basil_post_counters_output
										: '')
								. '</div>')
		. '</div>'
	. '</article>';
basil_storage_set('basil_output_widgets_posts', $basil_output);
?>