<?php
/**
 * The style "default" of the Courses
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.2
 */

$args = get_query_var('trx_addons_args_sc_courses');

$meta = get_post_meta(get_the_ID(), 'trx_addons_options', true);

if ($args['slider']) {
	?><div class="swiper-slide"><?php
} else if ((int)$args['columns'] > 1) {
	?><div class="<?php echo esc_attr(trx_addons_get_column_class(1, $args['columns'])); ?>"><?php
}
?>
<div class="sc_courses_item trx_addons_hover trx_addons_hover_style_links">
	<?php if (has_post_thumbnail()) { ?>
	<div class="sc_courses_item_thumb">
		<?php the_post_thumbnail( 'basil-thumb-squarebig', array('alt' => the_title_attribute( array( 'echo' => false ) )) ); ?>
		<span class="sc_courses_item_categories"><?php echo trim(trx_addons_get_post_terms(' ', get_the_ID(), TRX_ADDONS_CPT_COURSES_TAXONOMY)); ?></span>
	</div>
	<?php } ?>
	<div class="sc_courses_item_info">
		<div class="sc_courses_item_header">
			<div class="sc_courses_item_meta">
				<span class="sc_courses_item_meta_item sc_courses_item_meta_date icon-clock-1"><?php
					$dt = $meta['date'];
					echo sprintf($dt < date('Y-m-d') ? esc_html__('Started on %s', 'basil') : esc_html__('Start %s', 'basil'), '<span class="sc_courses_item_date">' . date('j D', strtotime($dt)) .(!empty($meta['date']) ? ', '.$meta['time'] : ''). '</span>');
					?></span>
					<span class="sc_courses_item_meta_item sc_courses_item_meta_duration"><?php echo esc_html($meta['duration']); ?></span>
					<div class="sc_courses_item_price"><?php
						echo (!empty($meta['price']) ? '<span class="label">'.esc_html__('From ', 'basil').'</span>'. $meta['price'] : '');
						?></div>
					</div>
					<h5 class="sc_courses_item_title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
				</div>

			</div>
			<div class="trx_addons_hover_content">
				<?php if (($excerpt = get_the_excerpt()) != '') { ?>
				<div class="trx_addons_hover_text"><?php echo esc_html($excerpt); ?></div>
				<?php } ?>
				<div class="trx_addons_hover_links">
					<a href="<?php the_permalink(); ?>" class="trx_addons_hover_link"><?php esc_html_e('Learn More', 'basil'); ?></a>
					<?php if (!empty($meta['product']) && (int) $meta['product'] > 0) { ?>
					<a href="<?php the_permalink($meta['product']); ?>" class="trx_addons_hover_link2"><?php esc_html_e('Buy Now', 'basil'); ?></a>
					<?php } ?>
				</div>
			</div>
		</div>
		<?php
		if ($args['slider'] || (int)$args['columns'] > 1) {
			?></div><?php
		}

		?>