<?php
/**
 * The style "default" of the Courses
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.2
 */

$args = get_query_var('trx_addons_args_sc_courses');
$meta = get_post_meta(get_the_ID(), 'trx_addons_options', true);
if ($args['slider']) {
	?><div class="swiper-slide"><?php
} else if ((int)$args['columns'] > 1) {
	?><div class="<?php echo esc_attr(trx_addons_get_column_class(1, $args['columns'])); ?>"><?php
}

if($reviews = get_comments(array('post_id' => get_the_ID(),'status'=>'approve', 'order'=> 'ASC'))){
	$review_rating = 0;
	foreach ($reviews as $review) {
		$review_rating += get_comment_meta($review->comment_ID, 'rating', true);
		$last_review = $review;
	}
	$reviews_count = (count($reviews) > 0 ? count($reviews) : 0);
	$review_rating = (count($reviews) > 0 ? $review_rating/$reviews_count : 0);
	$rating ='';
	for($i=0; $i < 5; $i++) { 
		$rating .= (floor($review_rating) > $i ? '<span class="icon-star"></span>':'<span class="icon-star-empty"></span>');
	};
} else {
	$reviews_count = 0;
	$rating ='<span class="icon-star-empty"></span><span class="icon-star-empty"></span><span class="icon-star-empty"></span><span class="icon-star-empty"></span><span class="icon-star-empty"></span>';
}
?>
<div class="sc_courses_item trx_addons_hover trx_addons_hover_style_links">
	<?php if (has_post_thumbnail()) { ?>
	<div class="sc_courses_item_thumb">
		<?php the_post_thumbnail( 'basil-thumb-big', array('alt' => the_title_attribute( array( 'echo' => false ) )) ); ?>
		<span class="sc_courses_item_categories"><?php echo trim(trx_addons_get_post_terms(' ', get_the_ID(), TRX_ADDONS_CPT_COURSES_TAXONOMY)); ?></span>
	</div>
	<?php } ?>
	<div class="sc_courses_item_info">
		<div class="sc_courses_item_header">
			<div class="sc_courses_item_meta">
			<?php 
			echo '<span class="item_meta_rating">'.($rating).'</span><span class="item_meta_count_review">'
				.$reviews_count.' '.($reviews_count != 1 ? esc_html__('Reviews','basil') : esc_html__('Review','basil'))
				.'</span>'
			?>
			</div>
					<h5 class="sc_courses_item_title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
				</div>

			</div>
			<div class="trx_addons_hover_content">
				<?php if (!empty($reviews)) { ?>
				<div class="trx_addons_hover_text"><?php echo '<span class="authorname">'.esc_attr($review->comment_author).'</span> '. esc_html__('said: ','basil').'<span class="review_content">'.esc_attr(wp_trim_words($review->comment_content, 55)).'</span>'; ?></div>
				<?php } else {?>
				<div class="trx_addons_hover_text"><?php echo esc_html(get_the_excerpt()); ?></div>
				<?php }?>
				<div class="trx_addons_hover_links">
					<a href="<?php the_permalink(); ?>" class="trx_addons_hover_link"><?php esc_html_e('View details', 'basil'); ?></a>
				</div>
			</div>
		</div>
		<?php
		if ($args['slider'] || (int)$args['columns'] > 1) {
			?></div><?php
		}

		?>